/*****************************************************************************/
/*                                                                           */
/*  Hyperpanel OS                       File "include/hypos.h"               */
/*                                                                           */
/*  Author : JYA                        Last modification : 09/06/2017       */
/*                                                                           */
/*  (c) Copyright Hyperpanel Lab, All Rights Reserved                        */
/*  IDDN.FR.001.320001.*.S.P.1990.000.10000                                  */
/*                                                                           */
/*  Note : This file is ONLY intended for user applicative software. It      */
/*         must NEVER be used with the OS source code                        */
/*****************************************************************************/


#include <stdtyp.l>                    /* HyperPanel definitions & constants.*/
#include <moteur.h>                    /* vmk.c and vmio.c interface         */
#include <drv.h>                       /* drv.c interface                    */
#include <drvmio.h>                    /* VMIO structures (Tlcm_desc)        */
#include <automaton.h>                 /* Automaton definitions.             */

#include <rdrv.h>                      /* drv.c tags interface               */
#include <memoire.h>                   /* mem_buf.c interface                */
#include <hypstring.h>                 /* memcpy strcy .. interface          */
#include <text.h>                      /* Prototype hsprintf().              */
#include <telecom.h>                   /* Constants and definitions for tags.*/
#include <engine.h>                    /* Constants for automatong engine.   */
#include <keycode.h>                   /* Key codes from RCU and keyboards   */

#include <req_lib.h>                   /* Needed by drivers interfaces       */

#include <systemm.txt>                 /* WAIT_CODERES                       */
#include <vmkm.txt>                    /* TSK_INIT_DATA TASK_INIT_BSS        */

